Author vstinner
Recipients asvetlov, christian.heimes, cstratak, doko, koobs, lukasz.langa, matrixise, miss-islington, ncoghlan, ned.deily, op368, pablogsal, vstinner, xtreak, yselivanov
Date 2019-06-14.22:16:45
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1560550605.38.0.231752560803.issue35998@roundup.psfhosted.org>
In-reply-to
Content
x86 Windows7 3.7:
https://buildbot.python.org/all/#/builders/111/builds/1123

test_start_tls_server_1 (test.test_asyncio.test_sslproto.SelectorStartTLSTests) ... Exception in thread test-client:
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\functional.py", line 198, in run
    self._prog(TestSocketWrapper(self._sock))
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\test_sslproto.py", line 565, in <lambda>
    with self.tcp_client(lambda sock: client(sock, addr),
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\test_sslproto.py", line 510, in client
    answer = sock.recv_all(len(ANSWER))
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\functional.py", line 138, in recv_all
    data = self.recv(n - len(buf))
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\ssl.py", line 1045, in recv
    return self.read(buflen)
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\ssl.py", line 920, in read
    return self._sslobj.read(len)
ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:2488)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\threading.py", line 926, in _bootstrap_inner
    self.run()
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\functional.py", line 200, in run
    self._test._abort_socket_test(ex)
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\test\test_asyncio\functional.py", line 122, in _abort_socket_test
    self.fail(ex)
  File "D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\unittest\case.py", line 693, in fail
    raise self.failureException(msg)
AssertionError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:2488)

D:\cygwin\home\db3l\buildarea\3.7.bolen-windows7\build\lib\threading.py:960: ResourceWarning: unclosed <ssl.SSLSocket fd=772, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=0, laddr=('127.0.0.1', 64078), raddr=('127.0.0.1', 64077)>
  del exc_type, exc_value, exc_tb
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ERROR
History
Date User Action Args
2019-06-14 22:16:45vstinnersetrecipients: + vstinner, doko, ncoghlan, christian.heimes, ned.deily, asvetlov, lukasz.langa, yselivanov, koobs, matrixise, cstratak, pablogsal, miss-islington, xtreak, op368
2019-06-14 22:16:45vstinnersetmessageid: <1560550605.38.0.231752560803.issue35998@roundup.psfhosted.org>
2019-06-14 22:16:45vstinnerlinkissue35998 messages
2019-06-14 22:16:45vstinnercreate